Subject: Re: bug#58103: [PATCH] docview: imenu access to table of contents

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 27 Sep 2022 13:53:30 +0200

Jose A Ortega Ruiz <[email-masked]> writes:

> The patch below provides a quite simple implemetation of an imenu for
> doc-view, using mutool.  That means of course that is limited to systems
> where it's installed, and doesn't try to be too smart, but it's been
> working quite well for me. 

Looks good to me; pushed to Emacs 29.

(Using `let-alist' is pretty unusual, but I guess it's nice that
somebody does -- there only seems to be two other usages in-tree in
Emacs since this was added in 2014.  🙃)